#include<iostream>

using namespace std;

int main(){
	long int n,pos;
	cin>>n;
	
	int a[n];
	int max,f,p;
	
	for(long int i=0;i<n;i++){
		cin>>a[i];
	}
	f=0;
	max=0;
	
	for(long int i=0;i<n;i++){
		for(long int j=i+1;j<n;j++){
			if(a[j]>a[i]){
				max=j;				
			}else if(a[j]==a[i]){
				f=1;
			}
		}
		if(max!=0) {
			p=a[i];
			a[i]=a[max];
			a[max]=p;
			break;
		}
	}
	
	if(max==0){
		if(f==0){
			p=a[n-1];
			a[n-1]=a[n-2];
			a[n-2]=p;	
		}
	}
	
	for(long int i=0;i<n;i++){
		cout<<a[i]<<" ";
	}
	
}